> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bitrace.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Address Basic Info

> getAddressBasic - This endpoint get basic information by given address.



## OpenAPI

````yaml GET /api/v1/tracker/kya/address/basic
openapi: 3.0.3
info:
  title: Bitrace AML API
  description: >-
    Bitrace AML API provides comprehensive blockchain and crypto compliance
    tools for real-time risk detection capabilities. The API enables scrutiny of
    crypto transactions, wallet addresses, and crypto tokens with precision and
    efficiency.
  version: 1.0.0
  contact:
    name: Bitrace Support
    email: support@bitrace.io
servers:
  - url: https://api.bitrace.io
    description: Production server
security:
  - apiKeyAuth: []
tags:
  - name: KYA (Know Your Address)
    description: Address risk assessment and entity identification
  - name: KYT (Know Your Transaction)
    description: Transaction monitoring and compliance
  - name: Account API
    description: Account usage and management APIs
  - name: Address Management
    description: Address management on the blacklist and whitelist
paths:
  /api/v1/tracker/kya/address/basic:
    get:
      tags:
        - KYA (Know Your Address)
      summary: Retrieve Address Basic Info
      description: getAddressBasic - This endpoint get basic information by given address.
      parameters:
        - name: Content-Type
          in: header
          required: false
          schema:
            type: string
            default: application/json
            enum:
              - application/json
        - name: Accept
          in: header
          required: false
          schema:
            type: string
            default: application/json
            enum:
              - application/json
        - name: address
          in: query
          required: true
          schema:
            type: string
            description: The target address.
          description: The target address.
        - name: network
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/NetworkCore'
            description: >-
              The supported chainns short name, ethereum tron btc bsc See at
              [Supported
              Chains](/api-reference/endpoints/supported-chains/kya-supported-chains)
          description: >-
            The supported chainns short name, ethereum tron btc bsc See at
            [Supported
            Chains](/api-reference/endpoints/supported-chains/kya-supported-chains)
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KyaAddressBasicGetResponse'
              example:
                success: true
                code: 1
                msg: SUCCESS
                data:
                  activeType: 2
                  balance:
                    USDT: 15258.233985
                    TRX: 3708.129097
                  firstInTx:
                    time: 1706946036000
                    hash: >-
                      6a302a668f47a130c211cdcd0e4d1ab8e909e6817b989b17faa939c22da8292d
                    symbol: TRX
                  firstOutTx:
                    time: 1707159735000
                    hash: >-
                      4996010dc51d24364b3ffba067de222f26faf953bb15fce531923732b6ceb8f8
                    symbol: USDT
                  mainInStatistic:
                    symbol: TRX
                    contractAddr: ''
                    txCount: 1463
                    txValue: 102615.90941
                  mainOutStatistic:
                    symbol: TRX
                    contractAddr: ''
                    txCount: 3253
                    txValue: 10352.595733
                  stableOutStatistic:
                    symbol: USDT
                    contractAddr: TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t
                    txCount: 3251
                    txValue: 8851064.2579
                  stableInStatistic:
                    symbol: USDT
                    contractAddr: TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t
                    txCount: 1026
                    txValue: 8866322.491885
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '429':
          $ref: '#/components/responses/RateLimit'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    NetworkCore:
      type: string
      enum:
        - ethereum
        - eth
        - tron
        - btc
        - bsc
      description: Supported blockchain networks
    KyaAddressBasicGetResponse:
      allOf:
        - $ref: '#/components/schemas/BaseResponse'
        - type: object
          properties:
            data:
              type: object
              properties:
                activeType:
                  type: integer
                  format: int64
                  description: >-
                    the address account active status in last 180 days, 0:
                    inflow, 1: inactive, 2: active in last 180 days
                balance:
                  type: object
                  properties:
                    __GAS_TOKEN__:
                      type: number
                      description: gas token balance
                    __STABLE_COIN_TOKEN__:
                      type: number
                      description: stable coin balance
                firstInTx:
                  type: object
                  properties:
                    time:
                      type: integer
                      description: the first inflow tx time
                    hash:
                      type: string
                      description: the first inflow tx hash
                    symbol:
                      type: string
                      description: the token symbol in first inflow tx
                firstOutTx:
                  type: object
                  properties:
                    time:
                      type: integer
                      description: the first outflow tx time
                    hash:
                      type: string
                      description: the first outflow tx hash
                    symbol:
                      type: string
                      description: the token symbol in first outflow tx
                mainInStatistic:
                  type: object
                  description: the main(native) token inflow statistic
                  properties:
                    symbol:
                      type: string
                      description: the token symbol
                    contractAddr:
                      type: object
                      description: the token contract address if exists
                    txCount:
                      type: integer
                      description: the total inflow tx count
                    txValue:
                      type: number
                      description: the total inflow tx value
                mainOutStatistic:
                  type: object
                  properties:
                    symbol:
                      type: string
                      description: the token symbol
                    contractAddr:
                      type: object
                      description: the token contract address if exists
                    txCount:
                      type: integer
                      description: the total outflow tx count
                    txValue:
                      type: number
                      description: the total outflow tx value
                stableOutStatistic:
                  type: object
                  properties:
                    symbol:
                      type: string
                      description: the token symbol
                    contractAddr:
                      type: string
                      description: the token contract address if exists
                    txCount:
                      type: integer
                      description: the total outflow tx count
                    txValue:
                      type: number
                      description: the total outflow tx value
                stableInStatistic:
                  type: object
                  properties:
                    symbol:
                      type: string
                      description: the token symbol
                    contractAddr:
                      type: string
                      description: the token contract address if exists
                    txCount:
                      type: integer
                      description: the total inflow tx count
                    txValue:
                      type: number
                      description: the total inflow tx value
    BaseResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Request success or not
        code:
          type: integer
          description: Response code (1 for success, other numbers for errors)
        msg:
          type: string
          description: SUCCESS or error message
    Error:
      type: object
      properties:
        success:
          type: boolean
          description: Request success or not
          default: false
        code:
          type: integer
        msg:
          type: string
        status:
          type: string
  responses:
    BadRequest:
      description: Bad Request - Your request is invalid
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Unauthorized - Incorrect API key provided
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    RateLimit:
      description: Too Many Requests - Rate limit reached or quota exceeded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalServerError:
      description: Internal Server Error - We had a problem with our server
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Access-Key
      description: API key authentication

````